Skip to main content
POST
/
campaigns
curl --request POST \ --url https://api-sandbox.y.uno/v1/campaigns \ --header 'Content-Type: application/json' \ --header 'private-secret-key: <api-key>' \ --header 'public-api-key: <api-key>' \ --data ' { "name": "Mexico Card Recovery", "account_id": "YOUR_ACCOUNT_ID", "organization_code": "YOUR_ORGANIZATION_CODE", "country": "MX", "channel": "WHATSAPP_MESSAGE", "focus": "payment_recovery", "schedule": { "daily_start_time": "09:00", "daily_end_time": "20:00", "time_zone": "America/Mexico_City" }, "duration": { "start_at": "2025-08-01T00:00:00Z", "end_at": "2026-08-01T00:00:00Z" } } '
{
  "data": {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "name": "Declined Payment Recovery - Colombia",
    "account_id": "2404911d-5df9-429e-8488-ad41abea1a4b",
    "organization_code": "550e8400-e29b-41d4-a716-446655440000",
    "country": "CO",
    "channel": "WHATSAPP_MESSAGE",
    "schedule": {
      "daily_start_time": "08:00",
      "daily_end_time": "21:00",
      "time_zone": "America/Bogota"
    },
    "duration": {
      "start_at": "2025-07-01T00:00:00Z",
      "end_at": "2026-07-01T00:00:00Z"
    },
    "status": "ACTIVE",
    "created_at": "2025-07-01T12:00:00Z",
    "updated_at": "2025-07-01T12:00:00Z"
  }
}
Creates a new campaign. If no status is provided, campaigns default to INACTIVE. See the campaign object reference for more information.

Authorizations

public-api-key
string
header
required
private-secret-key
string
header
required

Body

application/json
name
string
required

Campaign name for identification.

account_id
string
required

Your Yuno account ID, found in the Yuno Dashboard (UUID).

organization_code
string
required

Your organization identifier (UUID).

country
string
required

ISO 3166-1 alpha-2 country code (e.g., CO, MX, BR).

channel
enum<string>
required

Communication channel.

Available options:
WHATSAPP_MESSAGE,
PHONE_CALL
schedule
object
required

Scheduling configuration.

duration
object
required

Campaign active period.

focus
string

Campaign focus descriptor (e.g., payment_recovery).

Response